Subject: Re: [PATCH] net: add ability to clear stats via ethtool - e1000/pcnet32

From: Stephen Hemminger <[email-masked]>
Date: Fri, 30 May 2008 19:41:13 -0700

On Fri, 30 May 2008 21:09:31 -0400
Bill Fink <[email-masked]> wrote:

> On Fri, 30 May 2008, Rick Jones wrote:
> 
> > > Saving stats output and running beforeafter on a number of systems is
> > > a royal pain when troubleshooting.
> > 
> > Well, with that ringing endorsement :) I would like to state that 
> > Yoshihiro Ishijima has fixed some bugs in beforeafter and it will now 
> > deal with /proc/interrupts output better than before.
> > 
> > ftp://ftp.cup.hp.com/dist/networking/tools/
> 
> Nothing against beforefter.  It's a very useful tool, especially
> given Linux's lack of a method to clear interface counters.  But
> it still is very cumbersome to use in the scenario I mentioned,
> having to save the stats before and after a test on each of several
> systems, and then having to run beforeafter on each of those systems.
> Then you need to do this all again for every test run.  It's just
> not very efficient.
> 
> I don't know why the major objection to adding a small amount of
> code to the kernel that would make life a lot easier for hundreds
> (or more) of Linux network adminstrators.  And the snapshot/diff
> idea would not be complex to maintain and would also address the
> issue of some hardware not having a clear hw stats capability.
> 
> 						-Bill

ifstat from iproute2 tools also keeps state to compute number
of packets since last update as well. Come on, it isn't that
hard.